Bug 185434 - sysutils/ioping update to 0.8
Summary: sysutils/ioping update to 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-03 07:00 UTC by Oleg Ginzburg
Modified: 2014-01-03 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.31 KB, patch)
2014-01-03 07:00 UTC, Oleg Ginzburg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Ginzburg 2014-01-03 07:00:00 UTC
- update to 0.8
- remove patch for fdatasync which is pushed to upstream
- STAGE-ing

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2014-01-03 17:52:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-03 19:31:39 UTC
Author: jgh
Date: Fri Jan  3 19:31:31 2014
New Revision: 338575
URL: http://svnweb.freebsd.org/changeset/ports/338575

Log:
  - update to 0.8
  - remove patch for fdatasync which is pushed to upstream
  - adopt staging
  - while here remove CFLAGS modifications on unsupported versions
  
  PR:		185434
  Submitted by:	maintainer, olevole@olevole.ru

Modified:
  head/sysutils/ioping/Makefile
  head/sysutils/ioping/distinfo
  head/sysutils/ioping/files/patch-ioping.c

Modified: head/sysutils/ioping/Makefile
==============================================================================
--- head/sysutils/ioping/Makefile	Fri Jan  3 19:28:01 2014	(r338574)
+++ head/sysutils/ioping/Makefile	Fri Jan  3 19:31:31 2014	(r338575)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ioping
-PORTVERSION=	0.7
+PORTVERSION=	0.8
 CATEGORIES=	sysutils
 MASTER_SITES=	GOOGLE_CODE
 
@@ -11,21 +11,16 @@ COMMENT=	Simple disk I/0 latency measuri
 
 LICENSE=	GPLv3
 
-MAN1=		ioping.1
-PLIST_FILES=	bin/ioping
+PLIST_FILES=	bin/ioping man/man1/ioping.1.gz
 
 MAKE_ENV=	VERSION=${PORTVERSION}
 
-# for the benefit of <80000
-CFLAGS+=	-lm
-
-NO_STAGE=	yes
 do-build:
 	cd ${WRKSRC}; \
 	${SETENV} ${MAKE_ENV} ${CC} ${CFLAGS} -DVERSION=${PORTVERSION} ioping.c -o ioping
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/ioping ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/ioping.1 ${MAN1PREFIX}/man/man1
+	${INSTALL_PROGRAM} ${WRKSRC}/ioping ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/ioping.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/sysutils/ioping/distinfo
==============================================================================
--- head/sysutils/ioping/distinfo	Fri Jan  3 19:28:01 2014	(r338574)
+++ head/sysutils/ioping/distinfo	Fri Jan  3 19:31:31 2014	(r338575)
@@ -1,2 +1,2 @@
-SHA256 (ioping-0.7.tar.gz) = 234e28eeb256e77756a077604b48d59f206a5288c3da6f207629e783f54b13b0
-SIZE (ioping-0.7.tar.gz) = 10011
+SHA256 (ioping-0.8.tar.gz) = e23fdbd7298e26b63986137d6007e5a72d495da7265b9edea4c12f1b0c55fe48
+SIZE (ioping-0.8.tar.gz) = 10590

Modified: head/sysutils/ioping/files/patch-ioping.c
==============================================================================
--- head/sysutils/ioping/files/patch-ioping.c	Fri Jan  3 19:28:01 2014	(r338574)
+++ head/sysutils/ioping/files/patch-ioping.c	Fri Jan  3 19:31:31 2014	(r338575)
@@ -1,32 +1,6 @@
---- ioping.c.orig	2013-02-02 21:00:59.000000000 +0400
-+++ ioping.c	2013-07-23 15:53:52.000000000 +0400
-@@ -154,11 +154,6 @@
- 	return FlushFileBuffers(h) ? 0 : -1;
- }
- 
--int fdatasync(int fd)
--{
--	return fsync(fd);
--}
--
- void srandom(unsigned int seed)
- {
- 	srand(seed);
-@@ -178,6 +173,13 @@
- 
- #endif /* __MINGW32__ */
- 
-+#if defined(__FreeBSD__) || defined(__FreeBSD_kernel__) || defined(__MINGW32__)
-+int fdatasync(int fd)
-+{
-+        return fsync(fd);
-+}
-+#endif /* (__FreeBSD__) || defined(__FreeBSD_kernel__) || defined(__MINGW32__) */
-+
- #ifndef HAVE_POSIX_MEMALIGN
- /* don't free it */
- int posix_memalign(void **memptr, size_t alignment, size_t size)
-@@ -222,7 +224,7 @@
+--- ioping.c.orig	2014-01-03 10:36:08.000000000 +0400
++++ ioping.c	2014-01-03 10:36:48.000000000 +0400
+@@ -247,7 +247,7 @@
  
  void version(void)
  {
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2014-01-03 19:31:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!